org.bouncycastle.asn1.x509

## Class TBSCertList.CRLEntry

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.TBSCertList.CRLEntry

All Implemented Interfaces:
  DEREncodable

Enclosing class:
  TBSCertList

    public class TBSCertList.CRLEntry
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`TBSCertList.CRLEntry(ASN1Sequence seq)`

### Method Summary

Methods
`X509Extensions` `getExtensions()`
`Time` `getRevocationDate()`
`DERInteger` `getUserCertificate()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TBSCertList.CRLEntry

    public TBSCertList.CRLEntry(ASN1Sequence seq)

### Method Detail

#### getUserCertificate

    public DERInteger getUserCertificate()

#### getRevocationDate

    public Time getRevocationDate()

#### getExtensions

    public X509Extensions getExtensions()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`